org.appng.testsupport

## Class TestBase.DataSourceCall

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.DatasourceRef
    - - org.appng.testsupport.TestBase.DataSourceCall

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    TestBase

      protected class TestBase.DataSourceCall
      extends DatasourceRef

  A wrapper for a `DatasourceRef`, allowing to add `Param`eters and to retrieve the actual `CallableDataSource`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.appng.xml.platform.DatasourceRef

      `condition, id, mode, pageSize, params, permissions`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TestBase.DataSourceCall` | `clearParams()`
    `CallableDataSource` | `getCallableDataSource()` Returns the `CallableDataSource`.
    `Params` | `getParams()` Gets the value of the params property.
    `TestBase.DataSourceCall` | `withParam(String name, String value)` Adds a `Param` to the wrapped `DatasourceRef`.

    - ### Methods inherited from class org.appng.xml.platform.DatasourceRef

      `getCondition, getId, getMode, getPageSize, getPermissions, setCondition, setId, setMode, setPageSize, setParams, setPermissions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getParams

          public Params getParams()

      Description copied from class: `DatasourceRef`
      Gets the value of the params property.
      Overrides:
        `getParams` in class `DatasourceRef`
      Returns:
        possible object is `Params`

    - #### clearParams

          public TestBase.DataSourceCall clearParams()

    - #### withParam

          public TestBase.DataSourceCall withParam(String name,
                                                   String value)

      Adds a `Param` to the wrapped `DatasourceRef`.
      Parameters:
        `name` - the name of the `Param`
        `value` - the value
      Returns:

    - #### getCallableDataSource

          public CallableDataSource getCallableDataSource()
                                                   throws ProcessingException

      Returns the `CallableDataSource`.
      Returns:
        the `CallableDataSource`
      Throws:
        `ProcessingException` - if an error occurs while assembling the CallableDataSource

Copyright © 2011–2023 aiticon GmbH. All rights reserved.